# Books API . layers

## Instance Methods

Returns the annotationData Resource.

Returns the volumeAnnotations Resource.

Gets the layer summary for a volume.

List the layer summaries for a volume.

### Method Details

`get(volumeId, summaryId, source=None, contentVersion=None)`

    Gets the layer summary for a volume.

    Args:
      volumeId: string, The volume to retrieve layers for. (required)
      summaryId: string, The ID for the layer to get the summary for. (required)
      source: string, String to identify the originator of this request.
      contentVersion: string, The content version for the requested volume.

    Returns:
      An object of the form:

        {
        "kind": "books#layersummary", # Resource Type
        "annotationCount": 42, # The number of annotations for this layer.
        "dataCount": 42, # The number of data items for this layer.
        "annotationsLink": "A String", # The link to get the annotations for this layer.
        "updated": "A String", # Timestamp for the last time an item in this layer was updated. (RFC 3339 UTC date-time format).
        "volumeId": "A String", # The volume id this resource is for.
        "id": "A String", # Unique id of this layer summary.
        "annotationTypes": [ # The list of annotation types contained for this layer.
          "A String",
        ],
        "contentVersion": "A String", # The content version this resource is for.
        "layerId": "A String", # The layer id for this summary.
        "volumeAnnotationsVersion": "A String", # The current version of this layer's volume annotations. Note that this version applies only to the data in the books.layers.volumeAnnotations.* responses. The actual annotation data is versioned separately.
        "annotationsDataLink": "A String", # Link to get data for this annotation.
        "selfLink": "A String", # URL to this resource.
      }

`list(volumeId, pageToken=None, maxResults=None, source=None, contentVersion=None)`

    List the layer summaries for a volume.

    Args:
      volumeId: string, The volume to retrieve layers for. (required)
      pageToken: string, The value of the nextToken from the previous page.
      maxResults: integer, Maximum number of results to return
      source: string, String to identify the originator of this request.
      contentVersion: string, The content version for the requested volume.

    Returns:
      An object of the form:

        {
        "totalItems": 42, # The total number of layer summaries found.
        "items": [ # A list of layer summary items.
          {
            "kind": "books#layersummary", # Resource Type
            "annotationCount": 42, # The number of annotations for this layer.
            "dataCount": 42, # The number of data items for this layer.
            "annotationsLink": "A String", # The link to get the annotations for this layer.
            "updated": "A String", # Timestamp for the last time an item in this layer was updated. (RFC 3339 UTC date-time format).
            "volumeId": "A String", # The volume id this resource is for.
            "id": "A String", # Unique id of this layer summary.
            "annotationTypes": [ # The list of annotation types contained for this layer.
              "A String",
            ],
            "contentVersion": "A String", # The content version this resource is for.
            "layerId": "A String", # The layer id for this summary.
            "volumeAnnotationsVersion": "A String", # The current version of this layer's volume annotations. Note that this version applies only to the data in the books.layers.volumeAnnotations.* responses. The actual annotation data is versioned separately.
            "annotationsDataLink": "A String", # Link to get data for this annotation.
            "selfLink": "A String", # URL to this resource.
          },
        ],
        "kind": "books#layersummaries", # Resource type.
      }